package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag986;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT986Creator;

/**
 * @author 
 * @date 2023-03-08
 */
public class Tag79Creator extends AbsTagCreate {

     private MT986Creator mt986Creator;

    public Tag79Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt986Creator= (MT986Creator) absMTCreator;
    }

    public void creator()
    {
        String tag79Value = mt986Creator.getNarrative();
        mt986Creator.set("79", tag79Value);
    }
}

